import { ICoords, ISize, ProjectionOrientationEnum, tView } from 'src/interfaces';
/**
 * NOTE
 * Made rhombus by instruction from
 * https://design.tutsplus.com/tutorials/how-to-create-advanced-isometric-illustrations-using-the-ssr-method--vector-1058
 *
 * Create a rectangle as square.
 * Shear the object 30 degrees(By X).
 * Scale the square 86.062% vertically(by Y). For web we round up this multiplier.
 * Rotate it on -30 degrees.
 */
declare const ISO_TRANSFORM_PARAMS: {
    rotate: number;
    skewX: number;
    skewY: number;
    scaleX: number;
    scaleY: number;
};
declare const ISO_PROJECTION_TRANSFORM: string;
declare const getIsoProjectionTransformCss: (transformParams?: {}) => string;
declare const getIsoMatrix: (orientation?: keyof typeof ProjectionOrientationEnum) => number[];
declare const getIsoProjectionCss: (orientation?: keyof typeof ProjectionOrientationEnum) => string;
declare const getTranslateCSS: (translate?: ICoords) => string;
declare const getFitToViewParams: (view: tView, viewportSize: ISize, isIsometricMode: boolean) => {
    zoom: number;
    scroll: ICoords;
};
declare const getIsoProjectedTileSize: (projectedTileSize: ISize) => ISize;
export { getIsoMatrix, getIsoProjectionCss, getTranslateCSS, getFitToViewParams, getIsoProjectedTileSize, ISO_TRANSFORM_PARAMS, ISO_PROJECTION_TRANSFORM, getIsoProjectionTransformCss, };
